public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-libs/open62541/
Date: Sun, 14 Jul 2024 17:47:58 +0000 (UTC)	[thread overview]
Message-ID: <1720976712.aa2e90cd14f8961484865b05bbd37e67e85932b1.flow@gentoo> (raw)

commit:     aa2e90cd14f8961484865b05bbd37e67e85932b1
Author:     Kurt Kanzenbach <kurt <AT> kmk-computers <DOT> de>
AuthorDate: Sun Jul 14 08:09:31 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sun Jul 14 17:05:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=aa2e90cd

dev-libs/open62541: add 1.4.2

Signed-off-by: Kurt Kanzenbach <kurt <AT> kmk-computers.de>

 dev-libs/open62541/Manifest               |  1 +
 dev-libs/open62541/open62541-1.4.2.ebuild | 83 +++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/dev-libs/open62541/Manifest b/dev-libs/open62541/Manifest
index 203351ffb..582245f1e 100644
--- a/dev-libs/open62541/Manifest
+++ b/dev-libs/open62541/Manifest
@@ -1 +1,2 @@
 DIST open62541-1.4.1.tar.gz 4191270 BLAKE2B 6d186eee099803a1501642ad4dd78d196a0b9e51bdc2f426ed4b8a7efea9939b05ec3d21f0cbaf87289d983168084080df530405d5b71f409feb25ab614e3c95 SHA512 e0a2f9e748ee1b27b0bd400d56b6e90602d545c7a5c794ba9a1ccd1ab15bde3c2908440ec1662b4a6980b9e7ffcf532018f8894821405f8edbd5f0168ca4ccf3
+DIST open62541-1.4.2.tar.gz 4197777 BLAKE2B 3b92e20b51acdff130c12cfb19d97d63f8313a3a23eef6c812bd4090aa2c89e92f8a5c6894c34b2725d25d3efcdaebb10d15caead49be4b8b9c74da1bb29f24b SHA512 145e152e4aab28e7100b518b991b47312c55cca9ece7fc9716ca09296e10d209223ee8d6da9e82543e00d536c19fbe071fcb0a43bcd5e59a0f86e798ee397596

diff --git a/dev-libs/open62541/open62541-1.4.2.ebuild b/dev-libs/open62541/open62541-1.4.2.ebuild
new file mode 100644
index 000000000..48b4eddc1
--- /dev/null
+++ b/dev-libs/open62541/open62541-1.4.2.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit cmake python-single-r1
+
+DESCRIPTION="Open source C implementation of OPC UA"
+HOMEPAGE="https://www.open62541.org/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc encryption examples mbedtls pubsub openssl tools"
+# Requires network access
+RESTRICT="test"
+
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	encryption? ( || ( mbedtls openssl ) )
+"
+
+BDEPEND="
+	${PYTHON_DEPS}
+	virtual/pkgconfig
+	doc? (
+		media-gfx/graphviz
+		$(python_gen_cond_dep '
+			dev-python/sphinx[${PYTHON_USEDEP}]
+			dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
+		')
+	)
+"
+DEPEND="
+	mbedtls? ( net-libs/mbedtls:= )
+	openssl? ( dev-libs/openssl:0= )
+"
+RDEPEND="
+	${PYTHON_DEPS}
+	${DEPEND}
+"
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_SHARED_LIBS=ON
+		-DOPEN62541_VERSION=v${PV}
+		-DUA_BUILD_EXAMPLES=OFF
+		-DUA_BUILD_TOOLS=$(usex tools)
+		-DUA_BUILD_UNIT_TESTS=OFF
+		-DUA_ENABLE_PUBSUB=$(usex pubsub)
+		-DUA_ENABLE_PUBSUB_INFORMATIONMODEL=$(usex pubsub)
+		-DUA_FORCE_WERROR=OFF
+	)
+
+	if use encryption; then
+		use mbedtls && mycmakeargs+=(-DUA_ENABLE_ENCRYPTION=MBEDTLS)
+		use openssl && mycmakeargs+=(-DUA_ENABLE_ENCRYPTION=OPENSSL)
+	fi
+
+	cmake_src_configure
+}
+
+src_compile() {
+	cmake_src_compile
+	use doc && cmake_build doc
+}
+
+src_install() {
+	use doc && local HTML_DOCS=( "${WORKDIR}"/${P}_build/doc/. )
+	cmake_src_install
+
+	if use examples; then
+		docompress -x /usr/share/doc/${PF}/examples
+		dodoc -r examples/
+	fi
+}
+
+src_test() {
+	cmake_src_test -j1
+}


             reply	other threads:[~2024-07-14 17:48 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-14 17:47 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-21 12:04 [gentoo-commits] repo/proj/guru:master commit in: dev-libs/open62541/ David Roman
2025-02-18 14:01 David Roman
2025-02-18 14:01 David Roman
2025-02-06  9:25 David Roman
2025-02-06  9:25 David Roman
2024-12-02 10:48 David Roman
2024-12-02 10:48 David Roman
2024-10-12 18:59 David Roman
2024-10-12 18:59 David Roman
2024-10-08 10:23 David Roman
2024-10-08 10:23 David Roman
2024-09-08 16:32 David Roman
2024-09-08 16:32 David Roman
2024-08-07 10:33 Lucio Sauer
2024-08-07 10:33 Lucio Sauer
2024-07-25 10:10 David Roman
2024-07-25 10:10 David Roman
2024-07-14 17:47 Florian Schmaus
2024-06-04 12:26 David Roman
2024-06-04 12:26 David Roman
2024-04-14 15:13 Julien Roy
2023-12-21  6:32 Viorel Munteanu
2023-12-21  6:32 Viorel Munteanu
2023-10-15 22:23 Haelwenn Monnier
2023-10-15 22:23 Haelwenn Monnier
2023-09-24  0:33 David Roman
2023-09-24  0:33 David Roman
2023-09-24  0:33 David Roman
2023-05-19 18:51 Viorel Munteanu
2023-05-19 18:51 Viorel Munteanu
2022-08-24 15:52 Ronny Gutbrod
2021-04-08 17:21 Andrew Ammerlaan
2020-05-31 17:00 Andrew Ammerlaan
2020-05-01  9:59 Andrew Ammerlaan
2020-05-01  9:59 Andrew Ammerlaan
2020-04-04 21:18 Haelwenn Monnier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1720976712.aa2e90cd14f8961484865b05bbd37e67e85932b1.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox